/* Copyright 2024 by COG9 Enterprises LLC
 * All rights reserved.
 * Title: meshmail.h
 * Author: Jed Marti
 * Description: Prototypes and constants for Meshtastic mail server.
 * Created: Tue Dec  3 19:37:18 2024
 * Revision History:
 */

#ifndef meshmail_h
#define meshmail_h

#define VERSION 1
#define RELEASE 2
#define PATCH   0

// Usually hidden away.
#ifndef MAXPATHLEN
  #define MAXPATHLEN 4096
#endif

// Same as in mqtt.h but doesn't have to be. The maximum size of a Meshtastic message. It's probably
// a lot smaller than this.
#define MAXMSG 2048

// Default listen port number. Must be same as MQTT.
#define DEFAULT_AREDN 3976

// Where mail is stored - default. Can be changed by command line.
#define DEFAULT_MAIL_DIR ".meshmail";

// See buildindex.c
void buildindex(int32_t nm);

// See cmdline.c
void cmdline(int32_t argc, char *argv[]);

// See mail.c
uint8_t isNumeric(char *s);
int32_t lastEmail(void);

// See message.c
void copyAndSaveMessage(int32_t lemn);

// see netlisten.c
void netListen(int32_t portnum);

// Verify there's only one default gateway. See ssmtp.c
void checkGateways(void);

// See tohtml.c
char *date(void);
void convertToHTML(int32_t lemn);

#endif


// EOF
